Qt 5.11 | Qt Multimedia | C++ Classes | QMediaServiceSupportedFormatsInterface

Qt 5.11.3 Reference Documentation

# QMediaServiceSupportedFormatsInterface Class

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format. More...

Header: | #include <QMediaServiceSupportedFormatsInterface>
qmake: | QT += multimedia

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceSupportedFormatsInterface()
virtual QMultimedia::SupportEstimate | hasSupport(const QString &mimeType, const QStringList &codecs) const = 0
virtual QStringList | supportedMimeTypes() const = 0

## Detailed Description

The QMediaServiceSupportedFormatsInterface class interface identifies if a media service plug-in supports a media format.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceSupportedFormatsInterface::~QMediaServiceSupportedFormatsInterface()

Destroys the instance of QMediaServiceSupportedFormatsInterface. The destructor is virtual.

### `[pure virtual]` QMultimedia::SupportEstimate QMediaServiceSupportedFormatsInterface::hasSupport(const QString &mimeType, const QStringList &codecs) const

### `[pure virtual]` QStringList QMediaServiceSupportedFormatsInterface::supportedMimeTypes() const